Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6825/?format=api
{ "ob_id": 6825, "uuid": "1b75ff70fd0ed074107d45c22fdf9125", "title": "CCMVal-1: MRI, Tsukuba MRI model output contribution to the WMO 2006 New RUNS REF2 experiment", "abstract": "CCMVal was a large international effort to improve understanding of Chemistry-Climate Models (CCMs) and their underlying GCMs (General Circulation Models) through process-oriented evaluation, along with discussion and coordinated analysis of science results. The first round of CCMVal (CCMVal-1) evaluated only a limited set of key processes in the CCMs, focusing mainly on dynamics and transport.\r\n\r\nThis dataset contains MRI model output from the WMO 2006 New RUNS REF2 experiment run by Meteorological Research Institute (MRI), Tsukuba, Japan.", "keywords": "CCMVal, climate, model, CCM's, GCM's", "publicationState": "published", "dataPublishedTime": "2014-08-15T10:41:29", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6826/?format=api", "dataPath": "/badc/ccmval/data/CCMVal-1/NEW_RUNS/REF2/MRI", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 12653170251, "numberOfFiles": 80, "fileFormat": "Data are ASCII formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/4985/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "CCMVAL-1 data were converted from original model format to ASCII by the modelling teams.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4482/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/11970/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6804/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/47/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29217/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29215/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29218/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29219/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29220/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29221/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71708/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29216/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71709/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/19044/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2546/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://creativecommons.org/licenses/by/4.0/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }